Author Topic: Building from source noob issue  (Read 1690 times)

hans

  • Zen Apprentice
  • *
  • Posts: 2
  • Karma: +0/-0
    • View Profile
Building from source noob issue
« on: November 30, 2011, 01:05:42 am »
i followed http://trac.zentyal.org/wiki/Documentation/Community/HowTo/Build

however then i try to build packages with zentyal-package i get "command not found"

when i try to manually ran it using the paths i get the following error while exporting

dpkg-checkbuilddeps: Unmet build dependencies: build-essential
dpkg-buildpackage: warning: Build dependencies/conflicts unsatisfied; aborting.
dpkg-buildpackage: warning: (Use -d flag to override.)
couldn't create package at zentyal-package line 193.


any help would be appreciated, thanks


Javier Amor Garcia

  • Zentyal Staff
  • Zen Hero
  • *****
  • Posts: 1225
  • Karma: +12/-0
    • View Profile
Re: Building from source noob issue
« Reply #1 on: November 30, 2011, 02:05:40 pm »
You are missing the build-essential package. You know the drill:
Quote
apt-get install build-essential

hans

  • Zen Apprentice
  • *
  • Posts: 2
  • Karma: +0/-0
    • View Profile
Re: Building from source noob issue
« Reply #2 on: November 30, 2011, 04:14:46 pm »
Thanks it works now..